Update Event
curl --request PUT \
--url https://crm.universal.rollout.com/api/events/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"personId": "<string>",
"noteId": "<string>",
"propertyId": "<string>",
"message": "<string>",
"description": "<string>",
"source": "<string>",
"system": "<string>",
"type": "<string>",
"pageTitle": "<string>",
"pageUrl": "<string>",
"pageReferrer": "<string>",
"pageDuration": 123,
"occurredAt": "<string>",
"additionalAttributes": "<unknown>",
"property": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"id": 123,
"code": "<string>",
"mlsNumber": "<string>",
"price": 123,
"forRent": 123,
"url": "<string>",
"type": "<string>",
"bedrooms": "<string>",
"bathrooms": "<string>",
"area": "<string>",
"lot": "<string>",
"lat": 123,
"lng": 123
},
"propertySearch": {
"minPrice": 123,
"maxPrice": 123,
"beds": 123,
"minBaths": 123,
"maxBaths": 123,
"minSqft": 123,
"maxSqft": 123,
"minLotSize": 123,
"maxLotSize": 123,
"minYearBuilt": 123,
"maxYearBuilt": 123,
"minDaysOnSite": 123,
"maxDaysOnSite": 123,
"listingStatus": "<string>",
"location": "<string>",
"propertyType": "<string>"
}
}
'import requests
url = "https://crm.universal.rollout.com/api/events/{id}"
payload = {
"personId": "<string>",
"noteId": "<string>",
"propertyId": "<string>",
"message": "<string>",
"description": "<string>",
"source": "<string>",
"system": "<string>",
"type": "<string>",
"pageTitle": "<string>",
"pageUrl": "<string>",
"pageReferrer": "<string>",
"pageDuration": 123,
"occurredAt": "<string>",
"additionalAttributes": "<unknown>",
"property": {
"street": "<string>",
"city": "<string>",
"state": "<string>",
"id": 123,
"code": "<string>",
"mlsNumber": "<string>",
"price": 123,
"forRent": 123,
"url": "<string>",
"type": "<string>",
"bedrooms": "<string>",
"bathrooms": "<string>",
"area": "<string>",
"lot": "<string>",
"lat": 123,
"lng": 123
},
"propertySearch": {
"minPrice": 123,
"maxPrice": 123,
"beds": 123,
"minBaths": 123,
"maxBaths": 123,
"minSqft": 123,
"maxSqft": 123,
"minLotSize": 123,
"maxLotSize": 123,
"minYearBuilt": 123,
"maxYearBuilt": 123,
"minDaysOnSite": 123,
"maxDaysOnSite": 123,
"listingStatus": "<string>",
"location": "<string>",
"propertyType": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
personId: '<string>',
noteId: '<string>',
propertyId: '<string>',
message: '<string>',
description: '<string>',
source: '<string>',
system: '<string>',
type: '<string>',
pageTitle: '<string>',
pageUrl: '<string>',
pageReferrer: '<string>',
pageDuration: 123,
occurredAt: '<string>',
additionalAttributes: '<unknown>',
property: {
street: '<string>',
city: '<string>',
state: '<string>',
id: 123,
code: '<string>',
mlsNumber: '<string>',
price: 123,
forRent: 123,
url: '<string>',
type: '<string>',
bedrooms: '<string>',
bathrooms: '<string>',
area: '<string>',
lot: '<string>',
lat: 123,
lng: 123
},
propertySearch: {
minPrice: 123,
maxPrice: 123,
beds: 123,
minBaths: 123,
maxBaths: 123,
minSqft: 123,
maxSqft: 123,
minLotSize: 123,
maxLotSize: 123,
minYearBuilt: 123,
maxYearBuilt: 123,
minDaysOnSite: 123,
maxDaysOnSite: 123,
listingStatus: '<string>',
location: '<string>',
propertyType: '<string>'
}
})
};
fetch('https://crm.universal.rollout.com/api/events/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"personId": "<string>",
"noteId": "<string>",
"propertyId": "<string>",
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"occurredAt": "<string>",
"message": "<string>",
"description": "<string>",
"source": "<string>",
"system": "<string>",
"type": "<string>",
"pageTitle": "<string>",
"pageUrl": "<string>",
"pageReferrer": "<string>",
"pageDuration": 123,
"property": {},
"propertySearch": {},
"additionalAttributes": {},
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Events
Update Event
PUT /events/
PUT
/
events
/
{id}
Update Event
PUT /events/{id}
Base URL: https://crm.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/crm.json PUT /events/{id}Authorizations
Authorization JWT
The Rollout Credential ID to use for queries/mutations
Path Parameters
Body
application/jsonmultipart/form-datatext/plain
- Option 1
- Option 2
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes